Bug 725257 - Disappearance of gnome-nautilus-folder-handler.desktop in nautilus can cause problems
Summary: Disappearance of gnome-nautilus-folder-handler.desktop in nautilus can cause ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-24 19:34 UTC by Richard Schwarting
Modified: 2015-03-03 23:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:50:34 UTC
Type: ---


Attachments (Terms of Use)

Description Richard Schwarting 2011-07-24 19:34:57 UTC
Description of problem:
~/.local/share/applications/mimeapps.list can contain an entry for inode/directory type, listing by .desktop which applications should handle it.  Upgrading from Fedora 14, this entry had listed gnome-nautilus-folder-handler.desktop.  Because that does not come with nautilus anymore, my system started opening directories with the next valid .desktop, totem.desktop.  It's hilarious trying to open the directory a file was saved to from Firefox, or having an inserted USB key auto-open in Totem. 

Version-Release number of selected component (if applicable):
3.0.2

How reproducible:
My system at least, which used pre-upgrade to go from F14 to F15.

Steps to Reproduce:
1. have a ~/.local/share/applications/mimeapps.list file
2. have an entry like "inode/directory=gnome-nautilus-folder-handler.desktop;phatch.desktop;f-spot-import.desktop;totem.desktop;gthumb-importer.desktop;gthumb.desktop;"
3. do not have /usr/share/applications/gnome-nautilus-folder-handler.desktop anymore.
4. try inserting a USB key that should auto-open, or try using Open Containing Folder in Firefox.
  
Actual results:
Something other than Nautilus (given my system and the provided line, totem) tries to open the directory.

Expected results:
Either the mimeapps.list was updated with the current .desktop files for Nautilus, or that gnome-nautilus-folder-handler.desktop was still provided.

Additional info:
Removing the inode/directory line corrects the problem for me.

Comment 1 Fedora End Of Life 2012-08-07 18:50:36 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.